classification
Title: Add HTTP Response code 451
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: martin.panter, nharold, r.david.murray, rhettinger
Priority: normal Keywords: patch

Created on 2016-03-18 22:23 by rhettinger, last changed 2019-08-23 17:57 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
code451.diff rhettinger, 2016-03-18 22:23 review
doctable.diff nharold, 2016-06-01 17:22 update table in http.HTTPStatus docs review
Pull Requests
URL Status Linked Edit
PR 15413 merged rhettinger, 2019-08-23 08:06
PR 15436 merged miss-islington, 2019-08-23 17:20
Messages (8)
msg262000 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2016-03-18 22:23
https://tools.ietf.org/html/rfc7725
msg266658 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-05-30 01:20
Looks good to me.
msg266665 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-05-30 02:22
It seems like this code does get used, so I agree to add it.

I think the table in the RST documentation should also be updated, possibly with a versionadded/versionchanged notice.
msg266829 - (view) Author: Nathan Harold (nharold) * Date: 2016-06-01 17:22
Added it to the table at https://docs.python.org/3.6/library/http.html#http-status-codes and put a versionadded notice at the bottom.
msg266950 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2016-06-02 21:07
Thanks Nathan, I'll apply this shortly.
msg266995 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-06-02 23:52
Don’t forget to fix the RFC number (see review) :)
msg350318 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-08-23 17:19
New changeset 8f080b09953a2d862de5c74edf414a54ea3dbea5 by Raymond Hettinger in branch 'master':
bpo-26589: Add http status code 451 (GH-15413)
https://github.com/python/cpython/commit/8f080b09953a2d862de5c74edf414a54ea3dbea5
msg350319 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-08-23 17:56
New changeset 761e5a7c7f57cf2a09106c0afa038f04de6a9ed2 by Raymond Hettinger (Miss Islington (bot)) in branch '3.8':
bpo-26589: Add http status code 451 (GH-15413) (GH-15436)
https://github.com/python/cpython/commit/761e5a7c7f57cf2a09106c0afa038f04de6a9ed2
History
Date User Action Args
2019-08-23 17:57:01rhettingersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-08-23 17:56:49rhettingersetmessages: + msg350319
2019-08-23 17:20:51miss-islingtonsetstage: resolved -> patch review
pull_requests: + pull_request15130
2019-08-23 17:19:19rhettingersetmessages: + msg350318
2019-08-23 08:12:30rhettingersetstatus: closed -> open
resolution: fixed -> (no value)
2019-08-23 08:06:41rhettingersetpull_requests: + pull_request15116
2019-08-22 22:57:54rhettingersetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-06-02 23:52:11martin.pantersetmessages: + msg266995
2016-06-02 21:07:38rhettingersetassignee: rhettinger
messages: + msg266950
2016-06-01 17:22:29nharoldsetfiles: + doctable.diff
nosy: + nharold
messages: + msg266829

2016-05-30 02:22:52martin.pantersetnosy: + martin.panter
messages: + msg266665
2016-05-30 01:20:13r.david.murraysetnosy: + r.david.murray

messages: + msg266658
stage: patch review -> commit review
2016-03-18 22:23:15rhettingercreate